QGIS Application - Bug report #12874
[Composer] DEL button doesn't remove items from the print composer on Mac OS X
2015-06-04 03:40 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: OsX Ul

Affected QGIS version:2.8.2 Regression?: No
Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20965
Description

Hi,

Documentation says that items in the print composer can be deleted by pressing either Backspace or Delete button. See last sentence
of overview-of-the-print-composer section.

This works well on Windows system but not on Mac OS X: Only BackSpace button deletes items in the print composer.
| think Delete button has never done this job (checked from 2.4 to 2.9)

History

#1 - 2015-06-07 10:51 PM - Nyall Dawson
- Status changed from Open to Feedback

Does delete work in the main canvas to delete features?

#2 - 2015-06-08 12:50 AM - Harrissou Santanna

yes, it does.

#3 - 2015-12-19 02:20 PM - Giovanni Manghi
- Status changed from Feedback to Open

#4 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No
#5 - 2018-06-13 04:37 AM - Mario Reyes
Harrissou Santanna wrote:

Hi,

Documentation says that items in the print composer can be deleted by pressing either Backspace or Delete button. See last sentence of

overview-of-the-print-composer section.

This works well on Windows system but not on Mac OS X: Only BackSpace button deletes items in the print composer.
| think Delete button has never done this job (checked from 2.4 to 2.9)

It doesn't work in QGIS 3.03 with Windows 10 either.
http://docs.qgis.org/2.8/en/docs/user_manual/print_composer/print_composer.html#overview-of-the-print-composer
http://docs.qgis.org/2.8/en/docs/user_manual/print_composer/print_composer.html#overview-of-the-print-composer

#6 - 2019-03-09 03:12 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
